Index: c/src/exec/score/cpu/a29k/ChangeLog
===================================================================
--- c/src/exec/score/cpu/a29k/ChangeLog	(revision 2c6a049139dd12284e26fdf7bd371bb55c54eb59)
+++ c/src/exec/score/cpu/a29k/ChangeLog	(revision d1c83050711c2579c92ee2e4888f53a6658565ab)
@@ -1,2 +1,8 @@
+2000-09-22	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am, cpu_asm.S, psmacro.ah, rtems/score/cpu.h:
+	First attempt to compile with GNU tools.  Minor modifications
+	to compile enough to get to assembler errors.
+
 2000-09-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/exec/score/cpu/a29k/Makefile.am
===================================================================
--- c/src/exec/score/cpu/a29k/Makefile.am	(revision 2c6a049139dd12284e26fdf7bd371bb55c54eb59)
+++ c/src/exec/score/cpu/a29k/Makefile.am	(revision d1c83050711c2579c92ee2e4888f53a6658565ab)
@@ -6,8 +6,4 @@
 ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
-
 SUBDIRS = rtems
 
@@ -15,8 +11,12 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = amd.ah asm.h cpu_asm.h pswmacro.ah register.ah
+H_FILES = amd.ah asm.h pswmacro.ah register.ah
 
 S_FILES = cpu_asm.S sig.S
 S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../../../../automake/compile.am
+include $(top_srcdir)/../../../../../../automake/lib.am
 
 $(PROJECT_INCLUDE):
@@ -24,4 +24,7 @@
 
 $(PROJECT_INCLUDE)/%.h: %.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/%.ah: %.ah
 	$(INSTALL_DATA) $< $@
 
Index: c/src/exec/score/cpu/a29k/cpu_asm.S
===================================================================
--- c/src/exec/score/cpu/a29k/cpu_asm.S	(revision 2c6a049139dd12284e26fdf7bd371bb55c54eb59)
+++ c/src/exec/score/cpu/a29k/cpu_asm.S	(revision d1c83050711c2579c92ee2e4888f53a6658565ab)
@@ -40,7 +40,7 @@
 
 ;#include <cpu_asm.h>
-        .include "register.ah"
-        .include "amd.ah"
-        .include "pswmacro.ah"
+#include <register.ah>
+#include <amd.ah>
+#include <pswmacro.ah>
 ;	.extern _bsp_exit 
 ;
Index: c/src/exec/score/cpu/a29k/pswmacro.ah
===================================================================
--- c/src/exec/score/cpu/a29k/pswmacro.ah	(revision 2c6a049139dd12284e26fdf7bd371bb55c54eb59)
+++ c/src/exec/score/cpu/a29k/pswmacro.ah	(revision d1c83050711c2579c92ee2e4888f53a6658565ab)
@@ -282,6 +282,6 @@
 		add	v2, rfb, 0			;
 $2:
-		cpeq	v0, v3, rfb			; fill rfb->'rfb
-		jmpt	v0, $3				; if rfb==rfb'
+		cpeq	v0, v3, rfb			; fill rfb->rfb
+		jmpt	v0, $3				; if rfb==rfb
 		const	tav, (0x80<<2)			; prepare for fill
 		or	tav, tav, v2			; 
@@ -295,10 +295,10 @@
 		loadm	0, 0, gr0, v2			; fill from LA->rfb
 $3:
-		add	rfb, v3, 0			; move rfb upto 'rfb
+		add	rfb, v3, 0			; move rfb upto rfb
 		sub	rab, v1, 0			; assign rab to rfb-512
 
 		add	v0, msp, SIGCTX_GR1		;
 		load	0, 0, v2, v0			; v0 = interrupted gr1
-		add	gr1, v2, 0			; move gr1 upto 'gr1
+		add	gr1, v2, 0			; move gr1 upto gr1
 		nop					;
 	.endm	
Index: c/src/exec/score/cpu/a29k/rtems/score/cpu.h
===================================================================
--- c/src/exec/score/cpu/a29k/rtems/score/cpu.h	(revision 2c6a049139dd12284e26fdf7bd371bb55c54eb59)
+++ c/src/exec/score/cpu/a29k/rtems/score/cpu.h	(revision d1c83050711c2579c92ee2e4888f53a6658565ab)
@@ -311,5 +311,5 @@
  */
 
-#error "Check these definitions!!!"
+#warning "Check these definitions!!!"
 
 #define CPU_HAS_OWN_HOST_TO_NETWORK_ROUTINES     FALSE
@@ -480,5 +480,5 @@
  */
 
-EXTERN Context_Control_fp  _CPU_Null_fp_context;
+SCORE_EXTERN Context_Control_fp  _CPU_Null_fp_context;
 
 /*
@@ -495,6 +495,6 @@
  */
 
-EXTERN void               *_CPU_Interrupt_stack_low;
-EXTERN void               *_CPU_Interrupt_stack_high;
+SCORE_EXTERN void               *_CPU_Interrupt_stack_low;
+SCORE_EXTERN void               *_CPU_Interrupt_stack_high;
 
 /*
@@ -508,5 +508,5 @@
  */
 
-EXTERN void           (*_CPU_Thread_dispatch_pointer)();
+SCORE_EXTERN void           (*_CPU_Thread_dispatch_pointer)();
 
 /*
Index: cpukit/score/cpu/a29k/ChangeLog
===================================================================
--- cpukit/score/cpu/a29k/ChangeLog	(revision 2c6a049139dd12284e26fdf7bd371bb55c54eb59)
+++ cpukit/score/cpu/a29k/ChangeLog	(revision d1c83050711c2579c92ee2e4888f53a6658565ab)
@@ -1,2 +1,8 @@
+2000-09-22	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am, cpu_asm.S, psmacro.ah, rtems/score/cpu.h:
+	First attempt to compile with GNU tools.  Minor modifications
+	to compile enough to get to assembler errors.
+
 2000-09-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/score/cpu/a29k/Makefile.am
===================================================================
--- cpukit/score/cpu/a29k/Makefile.am	(revision 2c6a049139dd12284e26fdf7bd371bb55c54eb59)
+++ cpukit/score/cpu/a29k/Makefile.am	(revision d1c83050711c2579c92ee2e4888f53a6658565ab)
@@ -6,8 +6,4 @@
 ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
-
 SUBDIRS = rtems
 
@@ -15,8 +11,12 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = amd.ah asm.h cpu_asm.h pswmacro.ah register.ah
+H_FILES = amd.ah asm.h pswmacro.ah register.ah
 
 S_FILES = cpu_asm.S sig.S
 S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../../../../automake/compile.am
+include $(top_srcdir)/../../../../../../automake/lib.am
 
 $(PROJECT_INCLUDE):
@@ -24,4 +24,7 @@
 
 $(PROJECT_INCLUDE)/%.h: %.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/%.ah: %.ah
 	$(INSTALL_DATA) $< $@
 
Index: cpukit/score/cpu/a29k/cpu_asm.S
===================================================================
--- cpukit/score/cpu/a29k/cpu_asm.S	(revision 2c6a049139dd12284e26fdf7bd371bb55c54eb59)
+++ cpukit/score/cpu/a29k/cpu_asm.S	(revision d1c83050711c2579c92ee2e4888f53a6658565ab)
@@ -40,7 +40,7 @@
 
 ;#include <cpu_asm.h>
-        .include "register.ah"
-        .include "amd.ah"
-        .include "pswmacro.ah"
+#include <register.ah>
+#include <amd.ah>
+#include <pswmacro.ah>
 ;	.extern _bsp_exit 
 ;
Index: cpukit/score/cpu/a29k/pswmacro.ah
===================================================================
--- cpukit/score/cpu/a29k/pswmacro.ah	(revision 2c6a049139dd12284e26fdf7bd371bb55c54eb59)
+++ cpukit/score/cpu/a29k/pswmacro.ah	(revision d1c83050711c2579c92ee2e4888f53a6658565ab)
@@ -282,6 +282,6 @@
 		add	v2, rfb, 0			;
 $2:
-		cpeq	v0, v3, rfb			; fill rfb->'rfb
-		jmpt	v0, $3				; if rfb==rfb'
+		cpeq	v0, v3, rfb			; fill rfb->rfb
+		jmpt	v0, $3				; if rfb==rfb
 		const	tav, (0x80<<2)			; prepare for fill
 		or	tav, tav, v2			; 
@@ -295,10 +295,10 @@
 		loadm	0, 0, gr0, v2			; fill from LA->rfb
 $3:
-		add	rfb, v3, 0			; move rfb upto 'rfb
+		add	rfb, v3, 0			; move rfb upto rfb
 		sub	rab, v1, 0			; assign rab to rfb-512
 
 		add	v0, msp, SIGCTX_GR1		;
 		load	0, 0, v2, v0			; v0 = interrupted gr1
-		add	gr1, v2, 0			; move gr1 upto 'gr1
+		add	gr1, v2, 0			; move gr1 upto gr1
 		nop					;
 	.endm	
Index: cpukit/score/cpu/a29k/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/a29k/rtems/score/cpu.h	(revision 2c6a049139dd12284e26fdf7bd371bb55c54eb59)
+++ cpukit/score/cpu/a29k/rtems/score/cpu.h	(revision d1c83050711c2579c92ee2e4888f53a6658565ab)
@@ -311,5 +311,5 @@
  */
 
-#error "Check these definitions!!!"
+#warning "Check these definitions!!!"
 
 #define CPU_HAS_OWN_HOST_TO_NETWORK_ROUTINES     FALSE
@@ -480,5 +480,5 @@
  */
 
-EXTERN Context_Control_fp  _CPU_Null_fp_context;
+SCORE_EXTERN Context_Control_fp  _CPU_Null_fp_context;
 
 /*
@@ -495,6 +495,6 @@
  */
 
-EXTERN void               *_CPU_Interrupt_stack_low;
-EXTERN void               *_CPU_Interrupt_stack_high;
+SCORE_EXTERN void               *_CPU_Interrupt_stack_low;
+SCORE_EXTERN void               *_CPU_Interrupt_stack_high;
 
 /*
@@ -508,5 +508,5 @@
  */
 
-EXTERN void           (*_CPU_Thread_dispatch_pointer)();
+SCORE_EXTERN void           (*_CPU_Thread_dispatch_pointer)();
 
 /*
